Subject: Re: [RFC PATCH 0/4] splice: Fix corruption in data spliced to pipe

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Jun 2023 17:01:55 -0700

On Thu, 29 Jun 2023 16:54:29 +0100 David Howells wrote:
> I'm more inclined to adjust the documentation since the behaviour we
> have has been that way since 2005, I think.

+1 FWIW I think that networking always operated under the assumption
that the pages may change. In TLS we require explicit opt-in from users
that the pages they send will not get changed, if it could cause crypto
errors (TLS_TX_ZEROCOPY_RO).